/* $Id: davcp.h,v 1.2 2003/01/19 19:06:45 rtakano Exp $
 * davcp: WebDAV copy
 * Copyright (c) 2002 TAKANO Ryousei <rtakano@sourceforge.jp>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
enum resource_type {
  resr_normal = 0,
  resr_collection,
  resr_reference,
  resr_error
};

struct resource {
  char *uri;
  enum resource_type type;
  size_t size;
  int is_executable;
  int error_status;
  struct resource *next;
};

/* getput.c */
extern int get_file(ne_session* session, const char* local, const char* remote);
extern int get_collection(ne_session* session, const char* local, const char* remote);
extern int put_file(ne_session* session, const char* local, const char* remote);
extern int put_collection(ne_session* session, const char* local, const char* remote);

/* list.c */
extern int fetch_resource_list(ne_session *sess, const char *uri,
			       int depth, int include_target,
			       struct resource **reslist);
extern void free_resource_list(struct resource *res);
